Bug 258826 - Arguments with spaces to the external editor are split
Summary: Arguments with spaces to the external editor are split
Status: CLOSED FIXED
Alias: None
Product: kmail
Classification: Unclassified
Component: general (show other bugs)
Version: 1.13.5
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-04 18:48 UTC by Patrick
Modified: 2012-02-10 12:21 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.8.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick 2010-12-04 18:48:16 UTC
Version:           1.13.5 (using KDE 4.5.1) 
OS:                Linux

If I specify
gvim "+set ft=mail" -f %f
for the external editor, the argument "+set ft=mail" is split and becomes two arguments :
- "+set
- ft=mail"

Reproducible: Always




OS: Linux (i686) release 2.6.35-23-generic
Compiler: cc
Comment 1 Laurent Montel 2010-12-06 13:39:31 UTC
I confirm it.
I must look at to kmeditor.cpp
Comment 2 Laurent Montel 2012-02-10 12:20:01 UTC
Git commit c6fe964d998c5388742198606c39af9a6fde7183 by Montel Laurent.
Committed on 10/02/2012 at 13:19.
Pushed by mlaurent into branch 'master'.

Fix Bug 258826 - Arguments with spaces to the external editor are split

FIXED-IN: 4.8.1

M  +50   -12   messagecomposer/kmeditor.cpp

http://commits.kde.org/kdepim/c6fe964d998c5388742198606c39af9a6fde7183
Comment 3 Laurent Montel 2012-02-10 12:20:59 UTC
Git commit 16512ef8a16a869888db2a8a604250ef7838e37a by Montel Laurent.
Committed on 10/02/2012 at 13:19.
Pushed by mlaurent into branch 'KDE/4.8'.

Fix Bug 258826 - Arguments with spaces to the external editor are split

FIXED-IN: 4.8.1
(cherry picked from commit c6fe964d998c5388742198606c39af9a6fde7183)

M  +50   -12   messagecomposer/kmeditor.cpp

http://commits.kde.org/kdepim/16512ef8a16a869888db2a8a604250ef7838e37a